### Method

# EDataServer SourceBackend set_backend_name

since: 3.6

#### Declaration [src]

    void
    e_source_backend_set_backend_name (
      ESourceBackend* extension,
      const gchar* backend_name
    )

#### Description [src]

Sets the backend name for `extension`.

The internal copy of `backend_name` is automatically stripped of leading and trailing whitespace. If the resulting string is empty, `NULL` is set instead.

Available since: 3.6

Sets property | `EDataServer.SourceBackend:backend-name`

#### Parameters

`backend_name`

  Type: `const gchar*`

  A backend name, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.